(
	global SBC_Rollout
	try (destroydialog SBC_Rollout)catch()
	
	local bgc = white
	local bglayer = undefined
	local bglayerid = undefined
	local layer = undefined
	local mgr = undefined
	local dir = undefined
	local image = undefined
	local width = undefined
	local height = undefined
	local sourcelayer = undefined
	local sourcelayerid = undefined
	
	rollout SBC_Rollout "Color to VFB Background" 
	(
	colorPicker 'cp1' "Background Color" pos:[10,10] width: 180 height: 20 color:(color 255 255 255) align:#center
	button 'btn1' "Set color as VFB Background" pos:[10,150] width: 180 height: 40 align:#center tooltip: "This tool creates a solid color image and places it in a new VFB Background layer."
	edittext 'edt1' "Output image path" pos: [10,40] text: "..." fieldwidth: 180 height: 20 align:#right labelontop: true
	button 'btn2' "Browse" pos: [10,85] width: 180 height: 20 align:#center
		
		
		on btn2 pressed do (
		dir = getSavePath caption "Output Path" initialDir:(getDir #maxroot)
		if dir != undefined do (
		edt1.text = dir
		image = dir + "\bg_image.jpg"
		)
	)
		
		on cp1 changed col do (
		bgc = cp1.color as point3
		)
		
		on btn1 pressed do (
		
		fn isVRayCurrent = matchPattern (renderers.current as string) pattern:"*V_RAY*"
		if isVRayCurrent() == false then return messageBox "V-Ray is not set to current renderer!" title: "Error"
		
		if image == undefined then (
		return messageBox "Select an output path!" title: "Error"
		)
		else (		
		s = VRayColor()
		s.color = bgc
		rm = renderMap s display:false size:[256,256] filename: image
		save rm
		
		mgr = vfbLayers=(vfbControl #getLayerMgr)[1]
			
		if bglayer == undefined then (
		sourcelayer = mgr.sourcelayer
		sourcelayerid = sourcelayer.id
		bglayer = mgr.createlayer sourcelayer.id "chaos.ref.external"
		bglayer.image = image
		)
		else (
		bglayerid = bglayer.id
		layer = mgr.getLayer bglayerid
		mgr.deleteLayer layer
			
		bglayer = mgr.createlayer sourcelayer.id "chaos.ref.external"
		bglayer.image = image
		)
	)
	)
	)
	
	createDialog SBC_Rollout 200 200
)